Package com.verisign.epp.codec.registry.v02

## Class EPPRegistryMinMaxPeriod

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryMinMaxPeriod

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPRegistryMinMaxPeriod
      extends java.lang.Object
      implements EPPCodecComponent

  The default, minimum, and maximum period length for the command type. The <registry:length> element contains the following child elements, where all of the child elements require the "unit" attribute with possible values of "y" for year and "m" for month
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPRegistryMinMaxPeriod`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPRegistryMinMaxPeriod`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRegistryMinMaxPeriod()` |
    `EPPRegistryMinMaxPeriod​(int aMinNumber, EPPRegistryPeriodType.Unit aMinUnit, int aMaxNumber, EPPRegistryPeriodType.Unit aMaxUnit, int aDefaultNumber, EPPRegistryPeriodType.Unit aDefaultUnit)` | Constructor for `EPPRegistryMinMaxPeriod` that takes all of the attribute values as parameters.
    `EPPRegistryMinMaxPeriod​(java.lang.Integer aMinNumber, EPPRegistryPeriodType.Unit aMinUnit, java.lang.Integer aMaxNumber, EPPRegistryPeriodType.Unit aMaxUnit, java.lang.Integer aDefaultNumber, EPPRegistryPeriodType.Unit aDefaultUnit)` | Constructor for `EPPRegistryMinMaxPeriod` that takes all of the attribute values as parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPRegistryMinMaxPeriod`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the `EPPRegistryMinMaxPeriod` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPRegistryMinMaxPeriod` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPRegistryMinMaxPeriod` compare.
    `EPPRegistryDefaultPeriodType` | `getDefaultLength()` | Gets the default supported period length.
    `EPPRegistryMaxPeriodType` | `getMax()` | Gets the maximum supported period length.
    `EPPRegistryMinPeriodType` | `getMin()` | Gets the minimum supported period length.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `void` | `setDefaultLength​(EPPRegistryDefaultPeriodType aDefault)` | Sets the default supported period length.
    `void` | `setMax​(EPPRegistryMaxPeriodType aMax)` | Sets the maximum supported period length.
    `void` | `setMin​(EPPRegistryMinPeriodType aMin)` | Sets the minimum supported period length.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryMinMaxPeriod`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryMinMaxPeriod`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryMinMaxPeriod

          public EPPRegistryMinMaxPeriod()

    - #### EPPRegistryMinMaxPeriod

          public EPPRegistryMinMaxPeriod​(java.lang.Integer aMinNumber,
                                         EPPRegistryPeriodType.Unit aMinUnit,
                                         java.lang.Integer aMaxNumber,
                                         EPPRegistryPeriodType.Unit aMaxUnit,
                                         java.lang.Integer aDefaultNumber,
                                         EPPRegistryPeriodType.Unit aDefaultUnit)

      Constructor for `EPPRegistryMinMaxPeriod` that takes all of the attribute values as parameters.
      Parameters:
        `aMinNumber` - The minimum supported period length number.
        `aMinUnit` - The minimum supported period length unit.
        `aMaxNumber` - The maximum supported period length number.
        `aMaxUnit` - The maximum supported period length unit.
        `aDefaultNumber` - The default period length number if not defined by the client.
        `aDefaultUnit` - The default period length unit if not defined by the client.

    - #### EPPRegistryMinMaxPeriod

          public EPPRegistryMinMaxPeriod​(int aMinNumber,
                                         EPPRegistryPeriodType.Unit aMinUnit,
                                         int aMaxNumber,
                                         EPPRegistryPeriodType.Unit aMaxUnit,
                                         int aDefaultNumber,
                                         EPPRegistryPeriodType.Unit aDefaultUnit)

      Constructor for `EPPRegistryMinMaxPeriod` that takes all of the attribute values as parameters.
      Parameters:
        `aMinNumber` - The minimum supported period length number.
        `aMinUnit` - The minimum supported period length unit.
        `aMaxNumber` - The maximum supported period length number.
        `aMaxUnit` - The maximum supported period length unit.
        `aDefaultNumber` - The default period length number if not defined by the client.
        `aDefaultUnit` - The default period length unit if not defined by the client.

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryMinMaxPeriod` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryMinMaxPeriod` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryMinMaxPeriod` instance.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryMinMaxPeriod` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryMinMaxPeriod` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryMinMaxPeriod`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryMinMaxPeriod`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPRegistryMinMaxPeriod` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryMinMaxPeriod` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getMin

          public EPPRegistryMinPeriodType getMin()

      Gets the minimum supported period length.
      Returns:
        Minimum supported period length if defined; `null` otherwise.

    - #### setMin

          public void setMin​(EPPRegistryMinPeriodType aMin)

      Sets the minimum supported period length.
      Parameters:
        `aMin` - Minimum supported period length

    - #### getMax

          public EPPRegistryMaxPeriodType getMax()

      Gets the maximum supported period length.
      Returns:
        Maximum supported period length if defined; `null` otherwise.

    - #### setMax

          public void setMax​(EPPRegistryMaxPeriodType aMax)

      Sets the maximum supported period length.
      Parameters:
        `aMax` - Maximum supported period length

    - #### getDefaultLength

          public EPPRegistryDefaultPeriodType getDefaultLength()

      Gets the default supported period length.
      Returns:
        Default supported period length if defined; `null` otherwise.

    - #### setDefaultLength

          public void setDefaultLength​(EPPRegistryDefaultPeriodType aDefault)

      Sets the default supported period length.
      Parameters:
        `aDefault` - Default supported period length

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.